#!/bin/sh
PRODCUTSDIR=$1	#Products directory
JP2DIR=$2	#JP2 Directory
POLYGON=$3	#Crop Window

BOX=$(python3 $HOME/GeoSentinel/geosentinel/polygonToBox.py "$POLYGON")

break
cd $PRODCUTSDIR
for f in $(find . -type f -name '*.zip')
do 
	#S2A_MSIL2A_20170515T162341_N0205_R040_T16QBJ_20170515T163103.zip
	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_" #T16QBJ_20170515T162341_

	fileout1=$(echo $filepattern | cut -d"_" -f1) #T16QBJ
        fileout2=$(echo $filepattern | cut -d"_" -f2) #20170515T162341
	dateText=$(echo $fileout2 | cut -d"T" -f1) #20170515
	filename=$JP2DIR$dateText"/"$filepattern

	echo $filename
	echo $JP2DIR$dateText
        if [ ! -d $JP2DIR$dateText ]; then
                mkdir $JP2DIR$dateText
        fi
	if [  ! -e $filename"TCI_10m.jp2"  ]; then

		unzip -n -j $f *TCI_10m.jp2 -d $JP2DIR$dateText/
		L2ANAME=$JP2DIR$dateText"/L2A_"$filepattern"TCI_10m.jp2"
		if [ -e $L2ANAME ]; then
			mv $L2ANAME $filename"TCI_10m.jp2"
		fi
	else
		echo PASS $f
	fi

#	RGBCROPED=$JP2DIR"rgbCroped/"
#	if [ ! -d $RGBCROPED ]; then
#		mkdir $RGBCROPED
#	fi


#	

#        if [ ! -d $dateText$fileout1 ]; then
#                mkdir $dateText$fileout1
#        fi
#	echo $BOX
#	OUTIMG=$JP2DIR"rgbCroped/"$dateText/$fileout2"_"$fileout1"_10m.tiff"
#	OUTIMG_P=$JP2DIR"rgbCroped/"$dateText/$fileout2"_"$fileout1"_10m_p.tiff"
##        if [  ! -e $OUTIMG ]; then

#		#Converts raster data between different formats.
#	        gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $filename"TCI_10m.jp2" $OUTIMG
#		rasterWkt.py "$POLYGON" $OUTIMG $OUTIMG_P
#		rm polygonTmp.tiff
##		wktToShape.py "$POLYGON" myShape.shp
##		gdal_rasterize -b 1 -b 2 -b 3 -burn 10 -burn 200 -burn 10 -l wtk myShape.shp $OUTIMG

#		rm myShape.*
###	        convert rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg" -resize 640x480\!  rgb/$fileout1/$fileout2"_"$fileout1".jpg"
###		rm rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg"
##	fi

##	cd $PRODCUTSDIR
#	break
done

cd $JP2DIR
for f in *; do
    if [ -d ${f} ]; then
		cd $f
		if [  ! -e ../$f".tif"  ]; then
			echo "gdal_merge.py -o ../"$f".tif" $(ls *.jp2)
			gdal_merge.py -o ../$f".tif" $(ls *.jp2)
		fi
		cd ..
		if [  ! -e ../$f".jp2"  ]; then
	        	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $f".tif" $f".jp2"
		fi
		rasterWkt.py "$POLYGON" $f.jp2 $f"_p.tif"
        echo $f
    fi
done



cd $JP2DIR 
find . -name *.xml -type f -delete 
#find . -name myShape.* -type f -delete 

##        if [ ! -d "video" ]; then
##                mkdir video 
##        fi

#cd $JP2DIR"rgb/"
#for d in */; do
#    # Will print */ if no directories are available
#	cd $d
##		VIDEONAME=$(echo $d/ | cut -d"/" -f1)
##		ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p $VIDEONAME.mp4
#		rm *.xml
#	cd ..
#done


##ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p rgb.mp4
#L2AproductListToRGB.sh /home/geoint/sentinelImages/L2A/ /home/geoint/imgTemp/ "POLYGON((-89.65513229370117 21.048938357786966,-89.62852478027342 21.047816903874505,-89.6261215209961 21.03339745836918,-89.6465492248535 21.022822311328852,-89.65873718261717 21.039325621609095,-89.65513229370117 21.048938357786966))"




